<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<div class="list-group operation-list-group" xmlns="http://www.w3.org/1999/html">
    <div ng-repeat-start="(type,ops) in $ctrl.groups" class="list-group-item list-group-header">
        <span ng-show="type=='expand'">Création d'ensemble</span>
        <span ng-show="type=='reduce'">Réduction d'ensemble</span>
        <span ng-show="type=='map'">Transformation d'ensemble</span>
    </div>

    <a ng-repeat="operation in ops"  href="" ng-click="closeThisDialog(operation.name)" class="list-group-item" ng-repeat-end>
        <strong>{{operation.label}}</strong>
        <div class="description">{{operation.description}}</div>
    </a>
</div>
